import { type Handler } from 'mitt';
import { type EmitterClientEvents, type EmitterEvents, type Options, type Picker } from './types';
export default class Timepicker {
    container: HTMLElement;
    protected options: Options;
    protected targetElement: HTMLElement;
    protected emitter: import("mitt").Emitter<EmitterEvents & EmitterClientEvents>;
    protected picker: Picker;
    constructor(target: string | HTMLElement, opts?: Partial<Options>);
    private triggerShow;
    private handleAnchorClick;
    show(): void;
    hide(): void;
    on<Key extends keyof EmitterClientEvents>(type: Key, handler: Handler<EmitterClientEvents[Key]>): void;
    private getHour;
    private getMinute;
}
